# PNGDecoder.Format (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.opengl
Class PNGDecoder.Format

    java.lang.Object
      org.newdawn.slick.opengl.PNGDecoder.Format

Enclosing class:
  PNGDecoder

    public static class PNGDecoder.Format

extends java.lang.Object

Method Summary
`int` `getNumComponents()`
`boolean` `isHasAlpha()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNumComponents

    public int getNumComponents()

### isHasAlpha

    public boolean isHasAlpha()

Copyright © 2006 New Dawn Software. All Rights Reserved.